/*************************************************************************
 *
 * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
 * 
 * Copyright 2008 by Sun Microsystems, Inc.
 *
 * OpenOffice.org - a multi-platform office productivity suite
 *
 * $RCSfile: XInteractionRequestStringResolver.idl,v $
 * $Revision: 1.4 $
 *
 * This file is part of OpenOffice.org.
 *
 * OpenOffice.org is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License version 3
 * only, as published by the Free Software Foundation.
 *
 * OpenOffice.org is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License version 3 for more details
 * (a copy is included in the LICENSE file that accompanied this code).
 *
 * You should have received a copy of the GNU Lesser General Public License
 * version 3 along with OpenOffice.org.  If not, see
 * <http://www.openoffice.org/license.html>
 * for a copy of the LGPLv3 License.
 *
 ************************************************************************/
#ifndef __com_sun_star_task_XInteractionRequestStringResolver_idl__ 
#define __com_sun_star_task_XInteractionRequestStringResolver_idl__ 
 
#ifndef __com_sun_star_uno_XInterface_idl__ 
#include <com/sun/star/uno/XInterface.idl> 
#endif 
 
#ifndef __com_sun_star_beans_Optional_idl__ 
#include <com/sun/star/beans/Optional.idl> 
#endif 
 
#ifndef __com_sun_star_task_XInteractionRequest_idl__ 
#include <com/sun/star/task/XInteractionRequest.idl> 
#endif 

//============================================================================= 
 
 module com {  module sun {  module star {  module task {  
 
//============================================================================= 
 
/** Obtains human readable strings from an <type>XInteractionRequest</type>.
 */
/* published */ 
interface XInteractionRequestStringResolver : com::sun::star::uno::XInterface
{ 
    //------------------------------------------------------------------------- 
     
    /** Obtains a string containing a human readable message from an 
        informational interaction request. 

        <p>An informational interaction request contains not more than one 
        interaction continuation (user has no choice; request is just 
        informational). The supplies continuation must either be a
        <type>XInteractionAbort</type> or <type>XInteractionApprove</type>

        @param Request the interaction request for that the message shall 
        be obtained.

        @returns the message string or an empty 
        <type scope="::com::sun::star::beans">Optional</type>.
     */
    com::sun::star::beans::Optional< string > 
        getStringFromInformationalRequest( 
        [in] com::sun::star::task::XInteractionRequest Request ); 

}; 
 
//============================================================================= 
 
}; }; }; };  
 
/*============================================================================= 
 
=============================================================================*/ 
#endif 
